PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCompareOrientations

Compare the cone of the given DAG point (cell) with the given reference cone (with the same cone points modulo order), and return relative orientation.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCompareOrientations(DM dm, PetscInt p, PetscInt mainConeSize, const PetscInt mainCone[], PetscInt *start, PetscBool *reverse)

Not Collective

### Input Parameters

| dm | - The DM (DMPLEX)
| p | - The DAG point whose cone is compared
| mainConeSize | - Number of the reference cone points passed (at least 2 and at most size of the cone of p)
| mainCone | - The reference cone points

### Output Parameters

| start | - The new starting point within the cone of p to make it conforming with the reference cone
| reverse | - The flag whether the order of the cone points should be reversed

### See Also

DMPlexOrient(), DMPlexOrientCell()

### Level

advanced

### Location

src/dm/impls/plex/plexorient.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages